### Method

# Clutter Actor get_content_box

#### Declaration [src]

    void
    clutter_actor_get_content_box (
      ClutterActor* self,
      ClutterActorBox* box
    )

#### Description [src]

Retrieves the bounding box for the `ClutterContent` of `self`.

The bounding box is relative to the actor’s allocation.

If no `ClutterContent` is set for `self`, or if `self` has not been allocated yet, then the result is undefined.

The content box is guaranteed to be, at most, as big as the allocation of the `ClutterActor`.

If the `ClutterContent` used by the actor has a preferred size, then it is possible to modify the content box by using the `ClutterActor:content-gravity` property.

Gets property | `Clutter.Actor:content-box`

#### Parameters

`box`

  Type: `ClutterActorBox`

  The return location for the bounding box for the `ClutterContent`.

  The argument will be set by the function.
  The returned data is owned by the instance.